%global _hardened_build 1

Name:		novacom-server
Version:	1.1.0
Release:	0.6.rc1%{?dist}.1
Summary:	Service for utility that connects to WebOS devices
Group:		Development/Tools
License:	ASL 2.0
URL:		https://github.com/openwebos/novacomd
Source0:	https://github.com/openwebos/novacomd/tarball/versions/1.1.0-rc1/openwebos-novacomd-submissions-119.1-0-ge77d336.tar.gz
Source1:	novacomd.sysv
Source2:	config-novacomd
# This patch allows novacomd to work against Fedora's libusb
Patch0:		0001-Use-usb_bulk_-read-write-instead-of-homemade-handler.patch
# This patch forces the makefile to use our CFLAGS
Patch1:		novacomd_add_cflags.patch
# This patch muffles the logging of every packet to the device
Patch2:		novacomd-quiet-logging.patch
# This patch removes unused adler32 library from the makefile
Patch3:		novacomd-makefile-remove-adler32.patch
Requires:	chkconfig
Requires(post):	chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(postun):	initscripts
Provides:	novacomd = %{version}-%{release}
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	libusb-devel

%description
This service allows the novacom client to connect to WebOS devices that are
connected over USB.

It should be started using 'systemctl start novacomd.service' as root.

%prep
%setup -q -n openwebos-novacomd-e77d336
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Remove unused and unneeded zlib headers and adler32 library
rm -f src/lib/cksum/adler32.c
rm -f src/lib/cksum/zlib.h

%build
make host LDFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -pm 755 build-novacomd-host/novacomd $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/novacomd
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/default
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/default/novacomd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add novacomd

%preun
if [ $1 -eq 0 ] ; then
	# Package removal, not upgrade
	/sbin/service novacomd stop >/dev/null 2>&1
	/sbin/chkconfig --del novacomd
fi

%postun
if [ $1 -ge 1 ] ; then
	# Package upgrade, not uninstall
	/sbin/service novacomd condrestart >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/novacomd
%{_sysconfdir}/init.d/novacomd
%config(noreplace) %{_sysconfdir}/default/novacomd

%changelog
* Mon May  7 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.6.rc1.1
- Preserve timestamps during install
- Remove unused zlib header and adler32 code
- Remove unnecessary filler that's not needed for Fedora
- Remove systemd stuff and add in SysV stuff
- Add in filler needed for EL[56]
- Fix build for EL5

* Sun May  6 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.5.rc1
- Let's try this one again.  This time really muffle logging of every packet
  sent to device

* Wed May  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.4.rc1
- Muffle logging of every packet sent to device

* Thu Apr 26 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.3.rc1
- Use consistent RPM_OPT_FLAGS and RPM_BUILD_ROOT variables
- Change define macro to global
- Remove unnecessary BR: glibc-devel
- Turn on hardened build
- Fix provides for novacomd

* Thu Apr 12 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.2.rc1
- Rename to novacom-server and add provides for novacomd
- Add systemd service

* Mon Apr  2 2012 Jonathan Dieter <jdieter@lesbg.com> - 1.1.0-0.1.rc1
- Add patch that allows novacomd to work against Fedora's libusb

* Sat Mar 31 2012 Jonathan Dieter <jdieter@lesbg.com> - 0.9-0.1.git.e77d33616f
- Initial release
